Compute Engine v1 API - Class CompositeHealthCheck (3.26.0)

public sealed class CompositeHealthCheck : IMessage<CompositeHealthCheck>, IEquatable<CompositeHealthCheck>, IDeepCloneable<CompositeHealthCheck>, IBufferMessage, IMessage

Reference documentation and code samples for the Compute Engine v1 API class CompositeHealthCheck.

Represents a composite health check.

A composite health check resource specifies the health source resources and the health destination resource to which the aggregated health result from the health source resources is delivered.

Inheritance

object > CompositeHealthCheck

Namespace

Google.Cloud.Compute.V1

Assembly

Google.Cloud.Compute.V1.dll

Constructors

CompositeHealthCheck()

public CompositeHealthCheck()

CompositeHealthCheck(CompositeHealthCheck)

public CompositeHealthCheck(CompositeHealthCheck other)
Parameter
Name Description
other CompositeHealthCheck

Properties

CreationTimestamp

public string CreationTimestamp { get; set; }

Output only. [Output Only] Creation timestamp inRFC3339 text format.

Property Value
Type Description
string

Description

public string Description { get; set; }

An optional description of this resource. Provide this property when you create the resource.

Property Value
Type Description
string

Fingerprint

public string Fingerprint { get; set; }

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.

Property Value
Type Description
string

HasCreationTimestamp

public bool HasCreationTimestamp { get; }

Gets whether the "creation_timestamp" field is set

Property Value
Type Description
bool

HasDescription

public bool HasDescription { get; }

Gets whether the "description" field is set

Property Value
Type Description
bool

HasFingerprint

public bool HasFingerprint { get; }

Gets whether the "fingerprint" field is set

Property Value
Type Description
bool

HasHealthDestination

public bool HasHealthDestination { get; }

Gets whether the "health_destination" field is set

Property Value
Type Description
bool

HasId

public bool HasId { get; }

Gets whether the "id" field is set

Property Value
Type Description
bool

HasKind

public bool HasKind { get; }

Gets whether the "kind" field is set

Property Value
Type Description
bool

HasName

public bool HasName { get; }

Gets whether the "name" field is set

Property Value
Type Description
bool

HasRegion

public bool HasRegion { get; }

Gets whether the "region" field is set

Property Value
Type Description
bool
public bool HasSelfLink { get; }

Gets whether the "self_link" field is set

Property Value
Type Description
bool

HasSelfLinkWithId

public bool HasSelfLinkWithId { get; }

Gets whether the "self_link_with_id" field is set

Property Value
Type Description
bool

HealthDestination

public string HealthDestination { get; set; }

URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.

Property Value
Type Description
string

HealthSources

public RepeatedField<string> HealthSources { get; }

URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

Property Value
Type Description
RepeatedFieldstring

Id

public ulong Id { get; set; }

Output only. [Output Only] A unique identifier for this resource type. The server generates this identifier.

Property Value
Type Description
ulong

Kind

public string Kind { get; set; }

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

Property Value
Type Description
string

Name

public string Name { get; set; }

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

Property Value
Type Description
string

Region

public string Region { get; set; }

Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

Property Value
Type Description
string
public string SelfLink { get; set; }

Output only. [Output Only] Server-defined URL for the resource.

Property Value
Type Description
string

SelfLinkWithId

public string SelfLinkWithId { get; set; }

Output only. [Output Only] Server-defined URL with id for the resource.

Property Value
Type Description
string